Bug 478772

Summary: Tray monitor wont start and gives misleading error due perms
Product: [Fedora] Fedora Reporter: Juha Tuomala <tuju>
Component: baculaAssignee: Andreas Thienemann <andreas>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: andreas, limburgher, mmcgrath
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:47:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 426791    
Bug Blocks:    

Description Juha Tuomala 2009-01-04 17:00:32 EST
+++ This bug was initially created as a clone of Bug #426791 +++

Description of problem:
% bacula-tray-monitor
26-Dec 14:40 tray-monitor: ERROR TERMINATION at parse_conf.c:819
Config error: Cannot open config file "./tray-monitor.conf": Permission denied

% pwd
/home/tuju

# chown root:bacula /etc/bacula/tray-monitor.conf
% id tuju
uid=500(tuju) gid=500(tuju) groups=500(tuju),491(bacula) 
context=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023
% bacula-tray-monitor
Connecting to Director...

Version-Release number of selected component (if applicable):
bacula-traymonitor-2.0.3-11.fc8

I guess those files could be in bacula group out of the box
as nobody would like to add those users to root group anyway.
Now error implies that the problem is in user's home dir.

--- Additional comment from limb@jcomserv.net on 2008-07-30 09:16:57 EDT ---

*** Bug 426790 has been marked as a duplicate of this bug. ***

--- Additional comment from manuelwalz@gmx.net on 2008-07-30 09:24:33 EDT ---



*** This bug has been marked as a duplicate of 426790 ***

--- Additional comment from updates@fedoraproject.org on 2008-07-30 10:41:47 EDT ---

bacula-2.0.3-11.fc8.3 has been submitted as an update for Fedora 8

--- Additional comment from updates@fedoraproject.org on 2008-08-07 19:58:43 EDT ---

bacula-2.0.3-11.fc8.3 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 1 Jon Ciesla 2009-01-05 09:52:02 EST
This indicates F-9, but the text says F-8.  F-9 looks fixed to me, as does F-8.  What OS version and bacula version do you have?
Comment 2 Juha Tuomala 2009-01-05 14:57:17 EST
f9, i had the problem until i fixed it manually. are you sure it's fixed?
Comment 3 Bug Zapper 2009-06-09 23:28:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:47:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.